
Application: gvSIG desktop - gvSIG bugs #3548
Error al visualizar WMS de un servicio CSW 2.0.2
05/29/2015 04:01 PM - José Badía

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: José Badía
Category:
Target version: 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Salta el siguiente error

java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
    at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPointManager.createObject(DefaultExtensionPointManager.java:237)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPointManager.create(DefaultExtensionPointManager.java:82)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPoint$Extension.create(DefaultExtensionPoint.java:122)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPoint.create(DefaultExtensionPoint.java:290)
    at org.gvsig.catalog.loaders.GvSigLayerLoader.createLayerFromExtensionPoint(GvSigLayerLoader.java:107)
    at org.gvsig.catalog.loaders.GvSigLayerLoader.loadLayer(GvSigLayerLoader.java:86)
    at org.gvsig.catalog.gui.ChooseResourceDialog.resourceButtonActionPerformed(ChooseResourceDialog.java:105)
    at org.gvsig.catalog.utils.resourcestable.ButtonEditor.getCellEditorValue(ButtonEditor.java:148)
    at javax.swing.JTable.editingStopped(JTable.java:4722)
    at javax.swing.AbstractCellEditor.fireEditingStopped(AbstractCellEditor.java:141)
    at org.gvsig.catalog.utils.resourcestable.ButtonEditor.fireEditingStopped(ButtonEditor.java:171)
    at org.gvsig.catalog.utils.resourcestable.ButtonEditor$1.actionPerformed(ButtonEditor.java:108)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
    at java.awt.Component.processMouseEvent(Component.java:6516)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
    at java.awt.Component.processEvent(Component.java:6281)
    at java.awt.Container.processEvent(Container.java:2229)
    at java.awt.Component.dispatchEventImpl(Component.java:4872)
    at java.awt.Container.dispatchEventImpl(Container.java:2287)
    at java.awt.Component.dispatchEvent(Component.java:4698)
    at javax.swing.plaf.basic.BasicTableUI$Handler.repostEvent(BasicTableUI.java:942)
    at javax.swing.plaf.basic.BasicTableUI$Handler.mouseReleased(BasicTableUI.java:1158)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:290)
    at java.awt.Component.processMouseEvent(Component.java:6516)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
    at java.awt.Component.processEvent(Component.java:6281)
    at java.awt.Container.processEvent(Container.java:2229)
    at java.awt.Component.dispatchEventImpl(Component.java:4872)
    at java.awt.Container.dispatchEventImpl(Container.java:2287)
    at java.awt.Component.dispatchEvent(Component.java:4698)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
    at java.awt.Container.dispatchEventImpl(Container.java:2273)
    at java.awt.Window.dispatchEventImpl(Window.java:2719)
    at java.awt.Component.dispatchEvent(Component.java:4698)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
    at java.awt.EventQueue.access$300(EventQueue.java:103)
    at java.awt.EventQueue$3.run(EventQueue.java:706)
    at java.awt.EventQueue$3.run(EventQueue.java:704)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
    at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.awt.EventQueue$4.run(EventQueue.java:720)
    at java.awt.EventQueue$4.run(EventQueue.java:718)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
    at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
    at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
    at java.awt.Dialog.show(Dialog.java:1082)
    at java.awt.Component.show(Component.java:1655)
    at java.awt.Component.setVisible(Component.java:1607)
    at java.awt.Window.setVisible(Window.java:1014)
    at java.awt.Dialog.setVisible(Dialog.java:1005)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addJDialog(NewSkin.java:647)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addWindow(NewSkin.java:286)
    at org.gvsig.catalog.gui.ShowResultsDialog.mapButtonActionPerformed(ShowResultsDialog.java:124)
    at org.gvsig.catalog.ui.showresults.ShowResultsDialogPanel.actionPerformed(ShowResultsDialogPanel.java:203)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
    at java.awt.Component.processMouseEvent(Component.java:6516)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
    at java.awt.Component.processEvent(Component.java:6281)
    at java.awt.Container.processEvent(Container.java:2229)
    at java.awt.Component.dispatchEventImpl(Component.java:4872)
    at java.awt.Container.dispatchEventImpl(Container.java:2287)
    at java.awt.Component.dispatchEvent(Component.java:4698)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
    at java.awt.Container.dispatchEventImpl(Container.java:2273)
    at java.awt.Window.dispatchEventImpl(Window.java:2719)
    at java.awt.Component.dispatchEvent(Component.java:4698)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
    at java.awt.EventQueue.access$300(EventQueue.java:103)
    at java.awt.EventQueue$3.run(EventQueue.java:706)
    at java.awt.EventQueue$3.run(EventQueue.java:704)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
    at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.awt.EventQueue$4.run(EventQueue.java:720)
    at java.awt.EventQueue$4.run(EventQueue.java:718)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
Caused by: java.lang.NullPointerException
    at org.gvsig.raster.wms.io.WMSDataParametersImpl.isDeletingCache(WMSDataParametersImpl.java:453)
    at org.gvsig.raster.wms.app.wmsclient.layer.FLyrWMS.<init>(FLyrWMS.java:176)
    ... 110 more

Related issues:
Related to Application: gvSIG desktop - gvSIG add-on requests # 3576: org.gvs... Closed 06/09/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3282: Actualizar catálog... Closed 03/25/2015

Associated revisions
Revision 62 - 05/29/2015 04:08 PM - José Badía

refs #3548
Error al visualizar WMS de un servicio CSW 2.0.2

History
#1 - 05/29/2015 04:08 PM - José Badía
- Status changed from New to Fixed

#2 - 06/15/2015 10:00 AM - Joaquín  del Cerro Murciano
- Related to gvSIG add-on requests #3576: org.gvsig.catalog.extension-2.0.4-2063-testing-all-all-j1_7 added

#3 - 06/15/2015 10:00 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3282: Actualizar catálogo a CSW 2.0.2 added

#4 - 06/15/2015 10:00 AM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#5 - 10/15/2015 11:03 AM - Álvaro Anguix
- Status changed from Fixed to Closed
